# set-proxy

## Purpose

Activates a proxy configuration Griffon should use when communicating over the internet such as with the install-plugin command.

Proxy configurations are defined using the add-proxy command

## Examples

    griffon add-proxy client --host=proxy-server --port=4300 --username=guest --password=guest
    griffon set-proxy client

## Description

Usage:

    griffon set-proxy [configuration]

Arguments:

- `name` - The proxy configuration name